<div class="custom-dropdown-container" tabindex="0">
  <button type="button" class="custom-dropdown-button" [ngClass]="{'disabled':disabled}" [disabled]="disabled" (click)="toggleSelectDropdown()">
      <span *ngIf="config.icon != ''" class="btn-icon" [innerHTML]="config.icon"></span>
      <span>{{selectedDisplayText}} </span>
      <span class="nsdicon-angle-down"></span>
  </button>
  <div class="custom-dropdown-list-container" *ngIf="toggleDropdown" [style.maxHeight]="config.height">
    <div class="search-container" *ngIf="config.search">
      <input name="search" [(ngModel)]="searchText" />
      <label [ngClass]="{'active': searchText}">
        <span class="nsdicon-search"></span> {{config.searchPlaceholder}}
      </label>
    </div>
    <ul class="selected-items">
      <li tabindex="-1" *ngFor="let selected of selectedItems;let i = index" (click)="deselectItem(selected,i)">
          <span class="nsdicon-close"></span>
          <span> {{selected[config.displayKey] || selected}}</span>
      </li>
    </ul>
    <hr *ngIf="selectedItems.length > 0 && availableItems.length > 0" />
    <ul class="available-items">
      <li #availableOption *ngFor="let item of availableItems| filterBy: searchText : config.searchOnKey | limitTo : config.limitTo;let i = index"
          tabindex="-1" [ngClass]="{'active': focusedItemIndex == i}" (click)="selectItem(item,i)">
          {{item[config.displayKey] || item}}</li>
      <li *ngIf="showNotFound">{{config.noResultsFound}}</li>
    </ul>
  </div>
</div>